#include <time.h>
#include <gtk/gtk.h>

void init (GtkWidget *window);
void maj_label ();
gint save ();
gint save_as ();
gboolean quit ();
void open_file (gchar *fichier_a_ouvrir);
void do_open_file ();
void add_entry (gint pos);
void delete_entry ();
void save_cancel ();
void save_yes ();
void save_no ();
void line_wrap_callback (gboolean wrap);
void move_entry (gint i);
void export_current_entry ();
void export_directory ();
void import_text_file ();
void create_new ();
void file_cancel ();
void file_ok ();
void get_options (int argc, char *argv[]);
void switch_page ();
void clear_text ();

struct datastruct {
	GtkEditable *text;
	GtkLabel *label;
	GtkStatusbar *statusbar;
        time_t modification;
};

struct progdata {
	GtkWidget *main_window;
	GtkWidget *ask_window;
	GtkWidget *file_window;

	GList *nb_data;
	gboolean saved;
	gint status; /* 0=wait 1=yes 2=no 3=cancel 4=redo */
	gchar *file_to_open;
};

